Create Fleet
curl --request POST \
--url https://api.example.com/v1/fleet \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"count": 123,
"config": {
"proxy": {},
"stealth": "<string>",
"fingerprint": "<string>",
"timeout": 123
},
"distribution": {
"countries": [
"<string>"
],
"proxyTypes": [
"<string>"
]
}
}
'import requests
url = "https://api.example.com/v1/fleet"
payload = {
"name": "<string>",
"count": 123,
"config": {
"proxy": {},
"stealth": "<string>",
"fingerprint": "<string>",
"timeout": 123
},
"distribution": {
"countries": ["<string>"],
"proxyTypes": ["<string>"]
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
count: 123,
config: {proxy: {}, stealth: '<string>', fingerprint: '<string>', timeout: 123},
distribution: {countries: ['<string>'], proxyTypes: ['<string>']}
})
};
fetch('https://api.example.com/v1/fleet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Create Fleet
Launch multiple browser sessions as a fleet
POST
/
v1
/
fleet
Create Fleet
Create Fleet
Launch multiple browser sessions simultaneously with coordinated configuration.string
required
Fleet name for identification.
integer
required
Number of sessions to launch (1-100).
object
required
object
Request
curl -X POST https://api.meshbrow.dev/v1/fleet \
-H "Authorization: Bearer mb_live_..." \
-H "Content-Type: application/json" \
-d '{
"name": "price-check-fleet",
"count": 10,
"config": {
"stealth": "max",
"timeout": 600
},
"distribution": {
"countries": ["US", "GB", "DE", "FR", "JP"],
"proxyTypes": ["residential"]
}
}'
Response
201
{
"id": "flt_m4n5o6p7",
"name": "price-check-fleet",
"status": "launching",
"sessions": [
{ "id": "ses_a1", "status": "launching", "proxy": { "country": "US" } },
{ "id": "ses_a2", "status": "launching", "proxy": { "country": "GB" } },
{ "id": "ses_a3", "status": "launching", "proxy": { "country": "DE" } }
],
"total": 10,
"ready": 0,
"createdAt": "2026-10-27T14:00:00Z"
}
⌘I